#define MAGIC_NUMBER 0x53483130		/*Magic number for Sherlock internal*/

/*Header for Sherlock internal format images.  Xcenter and Ycenter are for
  the center of pattern in relation to the image.  They are unused for
  image headers.
*/
typedef struct _header {
	long pixels;			/*Number of pixels in image*/
	long scanlines;			/*Number of scanlines in image*/
	long xcenter;			/*X coordinate of center*/
	long ycenter;			/*Y coordinate of center*/
} HEADER;

/*Information about the pattern.  Since an image is mapped onto the screen,
  Sherlock has to read a file to get the REAL values for saving a pattern.
*/
typedef struct _pattern_info {
	long xoffset;			/*Offset in X direction*/
	long yoffset;			/*Offset in Y direction*/
	long pixels;			/*Number of pixels in file to get data*/
	long scanlines;			/*Number of scanlines in file*/
} PATTERN_INFO;

