#include <stdio.h>
#include <xview/notice.h>
#include "ui_globals.h"
#include "sherlock.h"
#include "error.h"

extern int sys_nerr;
extern char *sys_errlist[],*errlist[];

/*Popup error notices.

  Inputs:  errno                  - number of last error encountered
	   notice_frame           - frame to popup notice in
	   xpos                   - X coordinate of mouse
	   ypos		          - Y coordinate of mouse
  Outputs: none
  Locals:  message                - message to display
  Globals: errlist                - list of error messages
	   sys_errlist            - list of system error messages
	   sys_nerr               - number of system error messages
	   ERROR_START            - start of program specific errors
	   NOTICE_BUTTON_YES      - label for notice button
	   NOTICE_FOCUS_XY        - position of notice button
	   NOTICE_MESSAGE_STRINGS - strings to print in notice window
	   NULL			  - 0
*/
popup_notice(errno,notice_frame,xpos,ypos)
register int errno,xpos,ypos;
register Frame notice_frame;
{
	register char *message;

	if(errno > sys_nerr) message = errlist[errno - ERROR_START];
	else message = sys_errlist[errno];

	notice_prompt(notice_frame,NULL,
		      NOTICE_FOCUS_XY,xpos,ypos,
		      NOTICE_MESSAGE_STRINGS,message,NULL,
		      NOTICE_BUTTON_YES,"Ok",
		      NULL);
}

